Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.marshalling.impl
Enum JBPMMessages.ProcessInstance.NodeInstanceType

    java.lang.Object
      java.lang.Enum<JBPMMessages.ProcessInstance.NodeInstanceType>
          org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceType

All Implemented Interfaces:
  com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, Serializable, Comparable<JBPMMessages.ProcessInstance.NodeInstanceType>

Enclosing class:
  JBPMMessages.ProcessInstance

    public static enum JBPMMessages.ProcessInstance.NodeInstanceType

extends Enum<JBPMMessages.ProcessInstance.NodeInstanceType>
implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `org.jbpm.marshalling.ProcessInstance.NodeInstanceType`

Enum Constant Summary
`COMPOSITE_CONTEXT_NODE` `COMPOSITE_CONTEXT_NODE = 9;`
`DYNAMIC_NODE` `DYNAMIC_NODE = 11;`
`EVENT_NODE` `EVENT_NODE = 5;`
`EVENT_SUBPROCESS_NODE` `EVENT_SUBPROCESS_NODE = 12;`
`FOR_EACH_NODE` `FOR_EACH_NODE = 10;`
`HUMAN_TASK_NODE` `HUMAN_TASK_NODE = 1;`
`JOIN_NODE` `JOIN_NODE = 7;`
`MILESTONE_NODE` `MILESTONE_NODE = 4;`
`RULE_SET_NODE` `RULE_SET_NODE = 0;`
`STATE_NODE` `STATE_NODE = 8;`
`SUBPROCESS_NODE` `SUBPROCESS_NODE = 3;`
`TIMER_NODE` `TIMER_NODE = 6;`
`WORK_ITEM_NODE` `WORK_ITEM_NODE = 2;`

Field Summary
`static int` | `COMPOSITE_CONTEXT_NODE_VALUE` `COMPOSITE_CONTEXT_NODE = 9;`
`static int` | `DYNAMIC_NODE_VALUE` `DYNAMIC_NODE = 11;`
`static int` | `EVENT_NODE_VALUE` `EVENT_NODE = 5;`
`static int` | `EVENT_SUBPROCESS_NODE_VALUE` `EVENT_SUBPROCESS_NODE = 12;`
`static int` | `FOR_EACH_NODE_VALUE` `FOR_EACH_NODE = 10;`
`static int` | `HUMAN_TASK_NODE_VALUE` `HUMAN_TASK_NODE = 1;`
`static int` | `JOIN_NODE_VALUE` `JOIN_NODE = 7;`
`static int` | `MILESTONE_NODE_VALUE` `MILESTONE_NODE = 4;`
`static int` | `RULE_SET_NODE_VALUE` `RULE_SET_NODE = 0;`
`static int` | `STATE_NODE_VALUE` `STATE_NODE = 8;`
`static int` | `SUBPROCESS_NODE_VALUE` `SUBPROCESS_NODE = 3;`
`static int` | `TIMER_NODE_VALUE` `TIMER_NODE = 6;`
`static int` | `WORK_ITEM_NODE_VALUE` `WORK_ITEM_NODE = 2;`

Method Summary
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
`int` | `getNumber()`
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<JBPMMessages.ProcessInstance.NodeInstanceType>` | `internalGetValueMap()`
`static JBPMMessages.ProcessInstance.NodeInstanceType` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
`static JBPMMessages.ProcessInstance.NodeInstanceType` | `valueOf(int value)`
`static JBPMMessages.ProcessInstance.NodeInstanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JBPMMessages.ProcessInstance.NodeInstanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RULE_SET_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType RULE_SET_NODE

  `RULE_SET_NODE = 0;`

### HUMAN_TASK_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType HUMAN_TASK_NODE

  `HUMAN_TASK_NODE = 1;`

### WORK_ITEM_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType WORK_ITEM_NODE

  `WORK_ITEM_NODE = 2;`

### SUBPROCESS_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType SUBPROCESS_NODE

  `SUBPROCESS_NODE = 3;`

### MILESTONE_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType MILESTONE_NODE

  `MILESTONE_NODE = 4;`

### EVENT_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType EVENT_NODE

  `EVENT_NODE = 5;`

### TIMER_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType TIMER_NODE

  `TIMER_NODE = 6;`

### JOIN_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType JOIN_NODE

  `JOIN_NODE = 7;`

### STATE_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType STATE_NODE

  `STATE_NODE = 8;`

### COMPOSITE_CONTEXT_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType COMPOSITE_CONTEXT_NODE

  `COMPOSITE_CONTEXT_NODE = 9;`

### FOR_EACH_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType FOR_EACH_NODE

  `FOR_EACH_NODE = 10;`

### DYNAMIC_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType DYNAMIC_NODE

  `DYNAMIC_NODE = 11;`

### EVENT_SUBPROCESS_NODE

    public static final JBPMMessages.ProcessInstance.NodeInstanceType EVENT_SUBPROCESS_NODE

  `EVENT_SUBPROCESS_NODE = 12;`

Field Detail

### RULE_SET_NODE_VALUE

    public static final int RULE_SET_NODE_VALUE

  `RULE_SET_NODE = 0;`

  See Also:
    Constant Field Values

### HUMAN_TASK_NODE_VALUE

    public static final int HUMAN_TASK_NODE_VALUE

  `HUMAN_TASK_NODE = 1;`

  See Also:
    Constant Field Values

### WORK_ITEM_NODE_VALUE

    public static final int WORK_ITEM_NODE_VALUE

  `WORK_ITEM_NODE = 2;`

  See Also:
    Constant Field Values

### SUBPROCESS_NODE_VALUE

    public static final int SUBPROCESS_NODE_VALUE

  `SUBPROCESS_NODE = 3;`

  See Also:
    Constant Field Values

### MILESTONE_NODE_VALUE

    public static final int MILESTONE_NODE_VALUE

  `MILESTONE_NODE = 4;`

  See Also:
    Constant Field Values

### EVENT_NODE_VALUE

    public static final int EVENT_NODE_VALUE

  `EVENT_NODE = 5;`

  See Also:
    Constant Field Values

### TIMER_NODE_VALUE

    public static final int TIMER_NODE_VALUE

  `TIMER_NODE = 6;`

  See Also:
    Constant Field Values

### JOIN_NODE_VALUE

    public static final int JOIN_NODE_VALUE

  `JOIN_NODE = 7;`

  See Also:
    Constant Field Values

### STATE_NODE_VALUE

    public static final int STATE_NODE_VALUE

  `STATE_NODE = 8;`

  See Also:
    Constant Field Values

### COMPOSITE_CONTEXT_NODE_VALUE

    public static final int COMPOSITE_CONTEXT_NODE_VALUE

  `COMPOSITE_CONTEXT_NODE = 9;`

  See Also:
    Constant Field Values

### FOR_EACH_NODE_VALUE

    public static final int FOR_EACH_NODE_VALUE

  `FOR_EACH_NODE = 10;`

  See Also:
    Constant Field Values

### DYNAMIC_NODE_VALUE

    public static final int DYNAMIC_NODE_VALUE

  `DYNAMIC_NODE = 11;`

  See Also:
    Constant Field Values

### EVENT_SUBPROCESS_NODE_VALUE

    public static final int EVENT_SUBPROCESS_NODE_VALUE

  `EVENT_SUBPROCESS_NODE = 12;`

  See Also:
    Constant Field Values

Method Detail

### values

    public static JBPMMessages.ProcessInstance.NodeInstanceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JBPMMessages.ProcessInstance.NodeInstanceType c : JBPMMessages.ProcessInstance.NodeInstanceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JBPMMessages.ProcessInstance.NodeInstanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getNumber

    public final int getNumber()

  Specified by:
    `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
  Specified by:
    `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

    public static JBPMMessages.ProcessInstance.NodeInstanceType valueOf(int value)

### internalGetValueMap

    public static com.google.protobuf.Internal.EnumLiteMap<JBPMMessages.ProcessInstance.NodeInstanceType> internalGetValueMap()

### getValueDescriptor

    public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

  Specified by:
    `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

    public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

    public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

    public static JBPMMessages.ProcessInstance.NodeInstanceType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.